Send data for a task

- « GearmanTask::sendData

- GearmanTask::taskDenominator »

- PHP Manual
- GearmanTask
- Send data for a task

# GearmanTask::sendWorkload

(PECL gearman >= 0.6.0)

GearmanTask::sendWorkload — Send data for a task

### Description

public GearmanTask::sendWorkload(string `$data`): int|false

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`data`

  Data to send to the worker.

### Return Values

The length of data sent, or `false` if the send failed.

### See Also

- GearmanTask::recvData() - Read work or result data into a buffer for a task